Delete a webhook configuration
curl --request DELETE \
--url https://api.partoo.co/v2/webhooks/{webhook_id} \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/webhooks/{webhook_id}"
headers = {"x-APIKey": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Webhooks
Delete a webhook configuration
This endpoint deletes a webhook configuration.
DELETE
/
webhooks
/
{webhook_id}
Delete a webhook configuration
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
The webhook object identifier.
Query Parameters
Organization identifier, only required for PROVIDER users.
Response
OK
The status of the webhook deletion.
Example:
"success"
Was this page helpful?
⌘I